curl --request PUT \
--url https://api.partoo.co/v2/custom_fields/section/{section_id} \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data '
{
"name": "Updated Section Name",
"description": "Updated description for the section",
"slug": "updated-section-slug"
}
'import requests
url = "https://api.partoo.co/v2/custom_fields/section/{section_id}"
payload = {
"name": "Updated Section Name",
"description": "Updated description for the section",
"slug": "updated-section-slug"
}
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated Section Name',
description: 'Updated description for the section',
slug: 'updated-section-slug'
})
};
fetch('https://api.partoo.co/v2/custom_fields/section/{section_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}{
"errors": {
"json": {}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Update custom field sections
This endpoint enables you to update a specific custom field section of their organization. You can update the name, description, and slug of the section. PROVIDER users can pass org_id to update custom field sections for a managed organization.
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Id of the custom field section
6
Query Parameters
Organization ID. Only PROVIDER users can specify a different organization. If not provided, defaults to your own organization.
Body
The name of the custom field section. Needs to be unique from all other section names.
60"Section A"
Description of the custom field section
150"Contains primary business information fields"
Unique identifier slug for the custom field section. Cannot contain any of the following characters: ,;/\|<>
1 - 100^[^,;/\\|<>]*$"section-a"
Response
OK
Request status
success Was this page helpful?